logo
Endpoint
POST
/endpoint

Pass project_env as a query parameter (e.g. ?project_env=my-app-production). The request body is the endpoint object or an array of endpoint objects directly.

Authorization

x-api-key<token>

HMAC-SHA256 signed key produced by the apikee engine. Format: <base62-id>.<base62-claims>.<base62-hmac> The first 12 characters are the keyPrefix (safe for logging).

In: header

Query Parameters

project_env?string

e.g. my-app-production

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://apikee.dev/api/v1/endpoint" \  -H "Content-Type: application/json" \  -d '{    "method": "POST",    "path": "/webhooks",    "name": "Stripe Webhook",    "description": "Handle payment events",    "request": {      "type": "object",      "properties": {        "event": {          "type": "string"        }      }    },    "response": {      "type": "object",      "properties": {        "success": {          "type": "boolean"        }      }    }  }'
{
  "method": "string",
  "path": "string",
  "name": "string",
  "description": "string",
  "request": {},
  "response": {},
  "metadata": {},
  "method_path": "string",
  "project_env": "string",
  "stats": {
    "total": 0,
    "success": 0,
    "error": 0
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}